Bug 996449 - [abrt] remmina-1.0.0-7.fc19: __assert_fail_base: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-7.fc19: __assert_fail_base: Process /usr/bin/remmina was...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:d3bb8ab389f4e8b3ebb33f9610c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 04:05 EDT by Arjen Heidinga
Modified: 2014-08-18 04:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.74 KB, text/plain)
2013-08-13 04:05 EDT, Arjen Heidinga
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-13 04:05 EDT, Arjen Heidinga
no flags Details
File: core_backtrace (32.92 KB, text/plain)
2013-08-13 04:05 EDT, Arjen Heidinga
no flags Details
File: dso_list (12.25 KB, text/plain)
2013-08-13 04:05 EDT, Arjen Heidinga
no flags Details
File: environ (2.74 KB, text/plain)
2013-08-13 04:06 EDT, Arjen Heidinga
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-13 04:06 EDT, Arjen Heidinga
no flags Details
File: maps (68.65 KB, text/plain)
2013-08-13 04:06 EDT, Arjen Heidinga
no flags Details
File: open_fds (1.63 KB, text/plain)
2013-08-13 04:06 EDT, Arjen Heidinga
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-08-13 04:06 EDT, Arjen Heidinga
no flags Details
File: var_log_messages (452 bytes, text/plain)
2013-08-13 04:06 EDT, Arjen Heidinga
no flags Details
All the error logs (4.12 MB, application/gzip)
2013-09-10 20:12 EDT, Devon Janitz
no flags Details

  None (edit)
Description Arjen Heidinga 2013-08-13 04:05:44 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        remmina -i
crash_function: __assert_fail_base
executable:     /usr/bin/remmina
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 poll_for_event at xcb_io.c:271
 #5 poll_for_response at xcb_io.c:289
 #6 _XEventsQueued at xcb_io.c:363
 #7 XPending at Pending.c:55
 #8 gdk_check_xpending at gdkeventsource.c:266
 #9 gdk_event_source_check at gdkeventsource.c:303
 #10 g_main_context_check at gmain.c:3545
 #13 gtk_main at gtkmain.c:1156
Comment 1 Arjen Heidinga 2013-08-13 04:05:48 EDT
Created attachment 786028 [details]
File: backtrace
Comment 2 Arjen Heidinga 2013-08-13 04:05:51 EDT
Created attachment 786029 [details]
File: cgroup
Comment 3 Arjen Heidinga 2013-08-13 04:05:54 EDT
Created attachment 786030 [details]
File: core_backtrace
Comment 4 Arjen Heidinga 2013-08-13 04:05:58 EDT
Created attachment 786031 [details]
File: dso_list
Comment 5 Arjen Heidinga 2013-08-13 04:06:00 EDT
Created attachment 786032 [details]
File: environ
Comment 6 Arjen Heidinga 2013-08-13 04:06:04 EDT
Created attachment 786033 [details]
File: limits
Comment 7 Arjen Heidinga 2013-08-13 04:06:07 EDT
Created attachment 786035 [details]
File: maps
Comment 8 Arjen Heidinga 2013-08-13 04:06:12 EDT
Created attachment 786037 [details]
File: open_fds
Comment 9 Arjen Heidinga 2013-08-13 04:06:14 EDT
Created attachment 786038 [details]
File: proc_pid_status
Comment 10 Arjen Heidinga 2013-08-13 04:06:17 EDT
Created attachment 786039 [details]
File: var_log_messages
Comment 11 Devon Janitz 2013-09-10 20:12:19 EDT
Created attachment 796190 [details]
All the error logs

Not sure, was logging out of an SSH session.
Devon
Comment 12 Christoph Wickert 2014-05-22 07:35:07 EDT
Assigning bug to new package maintainer.
Comment 13 Pavel Alexeev 2014-08-18 04:25:09 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.